:root{
    --accent-color: #ffffff;
    --accent-hover: #4d99e0;
}

.cookie-popup-container{
    width: fit-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: "Raleway", serif;
    display: none;
}

.cookie-consent b.heading{
    font-weight: bold;
    font-size: 24px;
    margin-bottom: 20px;
    display: block;
}

.cookie-popup-container *{
    font-family: "Raleway", serif;
}

.cookie-popup-container .cookie-popup{
    width: 80%;
    max-width: 700px;
    box-sizing: border-box;
    padding: 0px;
    box-shadow: 0px 5px 60px -3px rgb(53 18 72 / 50%);
    color: #000;
    overflow: visible;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
    background: linear-gradient(141deg, #fff, rgb(204, 196, 218));

    position: fixed;
    z-index: 99999;
    right: 50%;
    transform: translateX(50%);
    bottom: 0px;
    box-shadow: 0px 0px 150px #000;
  
}

.cookie-popup-container .cookie-popup .cookie-image{
    display: flex;
    justify-content: center;
    padding-top: 10px;
    padding-bottom: 20px;
    position: relative;
}



.cookie-popup-container .cookie-popup::-webkit-scrollbar {
    display: none !important;
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    transform: translateY(calc(-100%));
    background: linear-gradient(99.45deg, #262261 0%, #1E40AF 0.01%, #1E3A8A 46%, #262261 96.97%);

    height: 0px;
    overflow: hidden;
    color: #fff;
    transition: all 0.1s;

   
   
    /* You can adjust the direction and colors of the gradient as needed */
    
}


.cookie-popup-container .cookie-popup .cookie-popup-content-container.open{
    height: 400px;
}

.cookie-popup .cookie-panel ul{
    list-style-type: none;
    display: flex;
    padding-left: 0 !important;
    margin: 0 !important;
    border-top: 0px solid rgba(255,255,255,0.3);
    box-shadow: 0px 0px 30px rgba(0,0,0,0.7);
}

.cookie-popup .cookie-panel ul li{
    width: 100%;
    text-align: center;
    font-weight: 600;
    cursor: pointer;
    font-size: 14px;
    line-height: 18px;
    padding-bottom: 15px;
    padding-top: 15px;
    background: #0f172b;
    margin-bottom: 0;
    color: #fff;
}

.cookie-popup .cookie-panel ul li.active{

    
    color: #fff;
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid{
    height: 100%;
    padding: 15px 20px;
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid p{
    font-size: 14px;
    line-height: 18px;
    margin-top: 0px;
    margin-bottom: 10px;
    
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid b{
    font-size: 14px;
    line-height: 18px;
}

.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid .cookie-consent,
.cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid .cookie-cookies-display{
    display: none;
    padding-bottom: 15px;
    padding-top: 15px;
}
.cookie-content{
    overflow-y: scroll;
}
.cookie-cookies-display .cookie-category{
    margin-bottom: 15px;
}

.cookie-cookies-display .cookie-category .choose{
    font-size: 14px;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    border: 1px solid #CCC;
    margin-right: 10px;
    cursor: pointer;
}

.cookie-cookies-display .cookie-category .choose.active{
    border-color: var(--accent-hover);
    background-color: var(--accent-color);
}

.cookie-cookies-display .cookie-category .choose.active + .cookie-cat-name{
    color: var(--accent-color);
}

.cookie-cookies-display .cookie-category .choose.always-on{
    border-color: #CCC;
    background-color: #EEE;
    cursor: auto;
}

.cookie-cookies-display .cookie-category .data .data-resume .cat-main,
.cookie-cookies-display .cookie-category .data .data-resume .cat-main>div{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.cookie-cookies-display .cookie-category .data .data-resume .cat-main{
    margin-bottom: 10px;
}


.data-resume .cookie-cat-name{
    font-weight: bold;
    cursor: pointer;
    transition: 300ms;
    font-size: 14px;
    line-height: 18px;
}

.cookie-cookies-display .cookie-category .data .data-resume .cat-describe{
    font-size: 14px;
    line-height: 18px;
}

.cookie-decide {
    position: sticky;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 10px 20px;
    background: linear-gradient(99.45deg, #262261 0%, #1E40AF 0.01%, #1E3A8A 46%, #262261 96.97%);
    box-shadow: 0px 0px 40px rgba(65, 65, 65, 0.396);
    display: flex;
    flex-direction: column;
    gap: 12px;
   
}
.cookie-decide::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 200px;
    height: 100%;
    background: url(media/cookie-deco1.png) no-repeat;
    background-size: contain;
    background-position-x: right;
    transform: translateX(-100%);
    filter: brightness(0) saturate(100%) invert(13%) sepia(58%) saturate(5240%) hue-rotate(226deg) brightness(102%) contrast(85%);
}
.cookie-decide::after{
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 200px;
    height: 100%;
    background: url(media/cookie-deco2.png) no-repeat;
    background-size: contain;
    background-position-x: left;
    transform: translateX(100%);
    filter: brightness(0) saturate(100%) invert(11%) sepia(62%) saturate(2238%) hue-rotate(231deg) brightness(98%) contrast(96%);
}
.cookie-decide .pre-cookie-box{
    text-align: center;
    padding-top: 8px;
    color: #fff;
    max-width: 100%;
}

.cookie-decide strong{
    font-size: 22px;
    display: block;
    margin-bottom: 12px;
}
.cookie-decide .pre-cookie-box p{
    margin-bottom: 2px;
    font-size: 14px;
    padding-bottom: 0px;
}
.cookie-decide .pre-cookie-box .cookie-box-toggle{
    color: #9cbef1;
    margin-bottom: 5px;
    border-bottom: 1px solid #70b4f3;
    display: inline-block;
    cursor: pointer;
    font-size: 14px;
}
.cookie-decide .pre-cookie-box .cookie-box-toggle:hover{
    color: #fff;
    border-bottom: 1px solid #fff;
}
.cookie-decide ul{
    list-style-type: none;
    display: flex;
    justify-content: flex-end;
    gap: 10px;
    align-items: center;
    padding-left: 0 !important;
    margin: 0 !important;
    padding-top: 0px;
    flex-grow: 1;
}

.cookie-decide ul li{
    width: 50%;
    text-align: center;
    border: 2px solid var(--accent-color);
    border-radius: 6px;
    padding: 8px;
    font-weight: bold;
    cursor: pointer;
    transition: 300ms;
    font-size: 14px;
    line-height: 18px;
    color: #fff;
    text-transform: capitalize;
}

.cookie-decide ul li:hover{
    background-color: var(--accent-color);
    color: #000;
}

.cookie-decide ul li.allow{
    background-color: var(--accent-color);
    color: #000;
}

.cookie-decide ul li.allow:hover{
    background-color: #0c3974;
    color: #fff;
    border-color: var(--accent-hover);
}

.cookie-decide ul li.allow-selection{
    display: none;
}

a.privacy-policy-href{
    text-decoration: none;
    color: var(--accent-color) !important;
    font-size: 14px !important;
    line-height: 18px;
    font-weight: 600 !important;
    text-decoration: underline;
}



/* @media screen and (max-width: 991px) {

    .cookie-popup-container .cookie-popup{
        width: 100%;
        max-height: min(450px, 90vh);
        top: calc(50% - min(225px, 45vh));
    }

    .cookie-decide {
        background-color: #fff;
        padding-bottom: 10px;
        
    }

    .cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-decide ul{
        display: flex;
        flex-direction: column;
      
        
    }

    .cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-decide ul li{
        width: auto;
    }

    .cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid{
       
        padding-top: 8px;
    }

    .cookie-decide ul li{
        padding: 8px;
        font-size: 14px;
        margin: 3px;
    }

    .cookie-popup-container .cookie-popup{
      
    }

    .cookie-popup .cookie-panel ul li{
        font-size: 14px;
        padding-bottom: 10px !important;
        
    }

    .cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid p,
    .cookie-popup-container .cookie-popup .cookie-popup-content-container .cookie-mid b,
    .data-resume .cookie-cat-name,
    a.privacy-policy-href{
        font-size: 14px;
        line-height: 18px;
    }

    .cookie-cookies-display .cookie-category .data .data-describe ul li{
        font-size: 10px;
        line-height: 12px;
        padding: 8px;
    }
} */

/* Small Devices, Tablets */
@media only screen and (max-width : 900px) {
    .cookie-popup-container .cookie-popup{
        bottom: 20px;
        right: 50%;
        transform: translateX(50%);
    }
    
    .cookie-decide{
        display: block;
        
    }
    .cookie-decide .pre-cookie-box{
        margin-left: auto;
        margin-right: auto;
        text-align: center;
        margin-bottom: 10px;
    }
    .cookie-decide ul{
        justify-content: center;
    }
    .cookie-decide ul li{
        margin-bottom: 10px;
    }

    .cookie-decide::before, .cookie-decide::after{
        display: none;
    }
}

@media only screen and (max-width : 850px) {
    .cookie-decide ul{
        flex-direction: column;
        gap: 0;
    }
    .cookie-decide ul li{
        width: 100%;
    }
}

@media only screen and (max-width : 767px) {
    .cookie-popup-container .cookie-popup .cookie-popup-content-container.open{
        height: 250px !important;
    }
}